Bug#512812: Still true in GNOME 3

Josh Triplett josh at joshtriplett.org
Mon Mar 5 20:36:54 UTC 2012

Package: gnome-control-center
Version: 1:3.2.2-2
Followup-For: Bug #512812

This still seems true in GNOME 3's keyboard shortcut configuration, in a
slightly odd way.  I have the Caps Lock key mapped to Super_L.  If I use
the logo key to set a keyboard shortcut, I can successfully set it (it
shows up as Mod4+key), and it works with the logo key, but not with Caps
Lock.  If I press Caps Lock to start a shortcut, the key configuration
immediately ends and lists the key as Super_L, before I can enter the
key to use it with.

- Josh Triplett

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-control-center depends on:
ii  accountsservice            0.6.15-4
ii  apg                        2.2.3.dfsg.1-2
ii  desktop-file-utils         0.18-1
ii  gnome-control-center-data  1:3.2.2-2
ii  gnome-desktop3-data        3.2.1-3
ii  gnome-icon-theme 
ii  gnome-icon-theme-symbolic  3.2.2-1
ii  gnome-menus      
ii  gnome-settings-daemon      3.2.2-2
ii  gsettings-desktop-schemas  3.2.0-2
ii  libatk1.0-0                2.2.0-2
ii  libc6                      2.13-27
ii  libcairo-gobject2          1.10.2-6.2
ii  libcairo2                  1.10.2-6.2
ii  libcanberra-gtk3-0         0.28-3
ii  libcanberra0               0.28-3
ii  libcheese-gtk20            3.2.2-2
ii  libcheese1                 3.2.2-2
ii  libclutter-1.0-0           1.8.4-1
ii  libcogl-pango0             1.8.2-1
ii  libcogl5                   1.8.2-1
ii  libcolord1                 0.1.16-2
ii  libcomerr2                 1.42.1-2
ii  libcups2                   1.5.2-6
ii  libdbus-1-3                1.4.18-1
ii  libdbus-glib-1-2           0.98-1
ii  libdrm2                    2.4.30-1
ii  libfontconfig1             2.8.0-3.1
ii  libfreetype6               2.4.8-1
ii  libgconf2-4                3.2.3-3
ii  libgcrypt11                1.5.0-3
ii  libgdk-pixbuf2.0-0         2.24.1-1
ii  libgl1-mesa-glx [libgl1]   7.11.2-1
ii  libglib2.0-0               2.30.2-6
ii  libgnome-control-center1   1:3.2.2-2
ii  libgnome-desktop-3-2       3.2.1-3
ii  libgnome-menu-3-0
ii  libgnomekbd7               3.2.0-1
ii  libgnutls26                2.12.16-1
ii  libgoa-1.0-0               3.2.1-3
ii  libgssapi-krb5-2           1.10+dfsg~beta1-2
ii  libgstreamer0.10-0         0.10.36-1
ii  libgtk-3-0                 3.2.3-1
ii  libgtop2-7                 2.28.4-2
ii  libjson-glib-1.0-0         0.14.2-1
ii  libk5crypto3               1.10+dfsg~beta1-2
ii  libkrb5-3                  1.10+dfsg~beta1-2
ii  libnm-glib4      
ii  libnm-gtk0       
ii  libnm-util2      
ii  libnotify4                 0.7.4-1
ii  libpango1.0-0              1.29.4-2
ii  libpolkit-gobject-1-0      0.104-2
ii  libpulse-mainloop-glib0    1.1-3
ii  libpulse0                  1.1-3
ii  libsocialweb-client2       0.25.20-1
ii  libupower-glib1            0.9.15-2
ii  libx11-6                   2:1.4.4-4
ii  libxcomposite1             1:0.4.3-2
ii  libxdamage1                1:1.1.3-2
ii  libxext6                   2:1.3.0-3
ii  libxfixes3                 1:5.0-4
ii  libxi6                     2:1.4.5-1
ii  libxklavier16              5.2.1-1
ii  libxml2                    2.7.8.dfsg-7
ii  zlib1g                     1:1.2.6.dfsg-2

Versions of packages gnome-control-center recommends:
ii  cups-pk-helper
ii  gnome-online-accounts  <none>
ii  gnome-session          3.2.1-1
ii  gnome-user-guide       3.2.2-1
ii  iso-codes              3.33-1
ii  mesa-utils             8.0.1-2+b3
ii  mousetweaks            <none>
ii  policykit-1-gnome      0.105-2

Versions of packages gnome-control-center suggests:
ii  gnome-screensaver         3.2.0-2+b1
ii  gstreamer0.10-pulseaudio  0.10.31-1
ii  libcanberra-gtk-module    <none>
ii  x11-xserver-utils         7.6+3

-- no debconf information

More information about the pkg-gnome-maintainers mailing list